package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamRegistration;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020.07.08
 */
public class ExamRegistrationRoomDto extends ExamRegistration {

    @ApiModelProperty(value = "考场编号")
    private Long examRoomId;

    @ApiModelProperty(value = "考试开始时间")
    private Date examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Date examEndTime;

    @ApiModelProperty(value = "考试状态")
    private Integer isFinishedExam;

    public Long getExamRoomId() {
        return examRoomId;
    }

    public void setExamRoomId(Long examRoomId) {
        this.examRoomId = examRoomId;
    }

    public Date getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Date examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Date getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Date examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Integer getIsFinishedExam() {
        return isFinishedExam;
    }

    public void setIsFinishedExam(Integer isFinishedExam) {
        this.isFinishedExam = isFinishedExam;
    }
}
